function init(hero) {
    hero.setName("Cyclops");
    hero.setTier("6");
    hero.setVersion("\u00A7c\u00A7lX\u00A76\u00A7l-\u00A7e\u00A7lMEN\u00A7f")

    hero.setHelmet("Visor");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");

    hero.addPowers("mvh:xm_cyclops");

    hero.addKeyBind("HEAT_VISION", "Optic Beam", 1);
    hero.addKeyBind("CHARGED_BEAM", "Optic Blast", 2);

    hero.setModifierEnabled(isModifierEnabled);
    hero.setKeyBindEnabled(isKeyBindEnabled);
}

function isModifierEnabled(entity, modifier) {
    switch (modifier.name()) {
    case "fiskheroes:charged_beam":
        return entity.motionX() == 0 || entity.motionY() == 0 || entity.motionZ() == 0;
    default:
        return true;
    }
}

function isKeyBindEnabled(entity, keyBind) {
    switch (keyBind) {
    case "CHARGED_BEAM":
        return entity.motionX() == 0 || entity.motionY() == 0 || entity.motionZ() == 0;
    default:
        return true;
    }
}